function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { UserList } from "./user-list.js";
import { id } from "../id.js";
export let UserListJoining = class UserListJoining {
    id;
    createdAt;
    userId;
    user;
    userListId;
    userList;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], UserListJoining.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the UserListJoining."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], UserListJoining.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The user ID."
    }),
    _ts_metadata("design:type", Object)
], UserListJoining.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], UserListJoining.prototype, "user", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The list ID."
    }),
    _ts_metadata("design:type", Object)
], UserListJoining.prototype, "userListId", void 0);
_ts_decorate([
    ManyToOne((type)=>UserList, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], UserListJoining.prototype, "userList", void 0);
UserListJoining = _ts_decorate([
    Entity(),
    Index([
        "userId",
        "userListId"
    ], {
        unique: true
    })
], UserListJoining);
